/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_LEITO                                                    */
/* Tabela : LEITO                                                           	*/
/*                                                                            */
/* Criao:                                                                   */
/* 28/10/2004 - Rafael dos Santos Lopes                           			   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_LEITO
BEFORE INSERT OR UPDATE OR DELETE
ON LEITO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATULEIT := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMLEITO,0) <> NVL(:NEW.NMLEITO,0)) OR
         (NVL(:OLD.IDOCUPLEITO,0) <> NVL(:NEW.IDOCUPLEITO,0)) THEN
         :NEW.DTULTATULEIT := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('LEITO', :OLD.CDFILIAL, 'CDLEITO='||:OLD.CDLEITO||';CDFILIAL='||:OLD.CDFILIAL||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE LEITO MODIFY DTULTATULEIT DEFAULT SYSDATE
/

