/* Tabela ITEMRETI: Item de Retirada */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela ITEMRETI */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela ITEMRETI,
             utilizando a tabela Geral de Logs de Operaes */

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'LOG_PLA_ITEMRETI'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER LOG_PLA_ITEMRETI
GO

CREATE TRIGGER LOG_PLA_ITEMRETI
ON ITEMRETI
AFTER DELETE, INSERT, UPDATE
AS
BEGIN
   DECLARE @V_USUARIO         VARCHAR(40);
   DECLARE @V_TIPO            VARCHAR(1);
   DECLARE @V_ITPESQ          VARCHAR(40);
   DECLARE @V_DESC            VARCHAR(500);
   DECLARE @V_DTOPER          DATETIME;
   DECLARE @V_CDARVPROD       VARCHAR(20);

   DECLARE  @V_DSREMOTEADDR     VARCHAR(15);
   DECLARE  @V_DSREMOTEHOST     VARCHAR(15);
   DECLARE  @V_DSSERVERRDM      VARCHAR(20);
   DECLARE  @V_DSSERVMETHOD     VARCHAR(30);
   DECLARE  @V_DSREMOTEOPER     VARCHAR(12);


/* Variveis do cursor */
   DECLARE @V_IDCOMANDO          VARCHAR(1);

   DECLARE @V_NEW_CDFILIAL       VARCHAR(4);
   DECLARE @V_NEW_NRCARDAPIO     VARCHAR(10);
   DECLARE @V_NEW_NRRETIRADA     VARCHAR(10);
   DECLARE @V_NEW_CDPRODUTO      VARCHAR(10);
   DECLARE @V_NEW_CDTIPORETI     VARCHAR(2);
   DECLARE @V_NEW_CDTIPOPRAT     VARCHAR(2);
   DECLARE @V_NEW_CDFILAUXPRAT   VARCHAR(4);
   DECLARE @V_NEW_CDPRATO        VARCHAR(10);
   DECLARE @V_NEW_QTPREVISRETI   FLOAT;
   DECLARE @V_NEW_QTEXTRARETI    FLOAT;
   DECLARE @V_NEW_QTDEVOLVRETI   FLOAT;
   DECLARE @V_NEW_QTRETIRADA     FLOAT;
   DECLARE @V_NEW_CDFIITLANEST   VARCHAR(4);
   DECLARE @V_NEW_NRLANCESTQ     VARCHAR(10);
   DECLARE @V_NEW_NRSEQUITEM     VARCHAR(4);

   DECLARE @V_OLD_CDFILIAL       VARCHAR(4);
   DECLARE @V_OLD_NRCARDAPIO     VARCHAR(10);
   DECLARE @V_OLD_NRRETIRADA     VARCHAR(10);
   DECLARE @V_OLD_CDPRODUTO      VARCHAR(10);
   DECLARE @V_OLD_CDTIPORETI     VARCHAR(2);
   DECLARE @V_OLD_CDTIPOPRAT     VARCHAR(2);
   DECLARE @V_OLD_CDFILAUXPRAT   VARCHAR(4);
   DECLARE @V_OLD_CDPRATO        VARCHAR(10);
   DECLARE @V_OLD_QTPREVISRETI   FLOAT;
   DECLARE @V_OLD_QTEXTRARETI    FLOAT;
   DECLARE @V_OLD_QTDEVOLVRETI   FLOAT;
   DECLARE @V_OLD_QTRETIRADA     FLOAT;
   DECLARE @V_OLD_CDFIITLANEST   VARCHAR(4);
   DECLARE @V_OLD_NRLANCESTQ     VARCHAR(10);
   DECLARE @V_OLD_NRSEQUITEM     VARCHAR(4);


   SET @V_TIPO = '0';
   SET @V_DESC = '';
   SET @V_CDARVPROD = '';
   EXEC NMUSUARIO @V_USUARIO;
   EXEC WEBTUNNING @V_DSREMOTEADDR,
                   @V_DSREMOTEHOST,
                   @V_DSSERVERRDM,
                   @V_DSSERVMETHOD,
                   @V_DSREMOTEOPER;
  
   SET @V_USUARIO = ISNULL(@V_USUARIO, '');

   DECLARE C_DADOS CURSOR FOR
      SELECT
         'D' IDCOMANDO,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          CDFILIAL,
          NRCARDAPIO,
          NRRETIRADA,
          CDPRODUTO,
          CDTIPORETI,
          CDTIPOPRAT,
          CDFILAUXPRAT,
          CDPRATO,
          QTPREVISRETI,
          QTEXTRARETI,
          QTDEVOLVRETI,
          QTRETIRADA,
          CDFIITLANEST,
          NRLANCESTQ,
          NRSEQUITEM

      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)

      UNION ALL

      SELECT
         'U' IDCOMANDO,
          INSERTED.CDFILIAL,
          INSERTED.NRCARDAPIO,
          INSERTED.NRRETIRADA,
          INSERTED.CDPRODUTO,
          INSERTED.CDTIPORETI,
          INSERTED.CDTIPOPRAT,
          INSERTED.CDFILAUXPRAT,
          INSERTED.CDPRATO,
          INSERTED.QTPREVISRETI,
          INSERTED.QTEXTRARETI,
          INSERTED.QTDEVOLVRETI,
          INSERTED.QTRETIRADA,
          INSERTED.CDFIITLANEST,
          INSERTED.NRLANCESTQ,
          INSERTED.NRSEQUITEM,
          DELETED.CDFILIAL,
          DELETED.NRCARDAPIO,
          DELETED.NRRETIRADA,
          DELETED.CDPRODUTO,
          DELETED.CDTIPORETI,
          DELETED.CDTIPOPRAT,
          DELETED.CDFILAUXPRAT,
          DELETED.CDPRATO,
          DELETED.QTPREVISRETI,
          DELETED.QTEXTRARETI,
          DELETED.QTDEVOLVRETI,
          DELETED.QTRETIRADA,
          DELETED.CDFIITLANEST,
          DELETED.NRLANCESTQ,
          DELETED.NRSEQUITEM

      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.CDFILIAL      =  DELETED.CDFILIAL    AND
         INSERTED.NRCARDAPIO    =  DELETED.NRCARDAPIO  AND
         INSERTED.NRRETIRADA    =  DELETED.NRRETIRADA

      UNION ALL

      SELECT
         'I' IDCOMANDO,
          CDFILIAL,
          NRCARDAPIO,
          NRRETIRADA,
          CDPRODUTO,
          CDTIPORETI,
          CDTIPOPRAT,
          CDFILAUXPRAT,
          CDPRATO,
          QTPREVISRETI,
          QTEXTRARETI,
          QTDEVOLVRETI,
          QTRETIRADA,
          CDFIITLANEST,
          NRLANCESTQ,
          NRSEQUITEM,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL,
          NULL

      FROM
         INSERTED
      WHERE
         0 = (SELECT COUNT(*) FROM DELETED);

   OPEN C_DADOS;
   FETCH NEXT FROM C_DADOS INTO @V_IDCOMANDO,
                                @V_NEW_CDFILIAL,
                                @V_NEW_NRCARDAPIO,
                                @V_NEW_NRRETIRADA,
                                @V_NEW_CDPRODUTO,
                                @V_NEW_CDTIPORETI,
                                @V_NEW_CDTIPOPRAT,
                                @V_NEW_CDFILAUXPRAT,
                                @V_NEW_CDPRATO,
                                @V_NEW_QTPREVISRETI,
                                @V_NEW_QTEXTRARETI,
                                @V_NEW_QTDEVOLVRETI,
                                @V_NEW_QTRETIRADA,
                                @V_NEW_CDFIITLANEST,
                                @V_NEW_NRLANCESTQ,
                                @V_NEW_NRSEQUITEM,
                                @V_OLD_CDFILIAL,
                                @V_OLD_NRCARDAPIO,
                                @V_OLD_NRRETIRADA,
                                @V_OLD_CDPRODUTO,
                                @V_OLD_CDTIPORETI,
                                @V_OLD_CDTIPOPRAT,
                                @V_OLD_CDFILAUXPRAT,
                                @V_OLD_CDPRATO,
                                @V_OLD_QTPREVISRETI,
                                @V_OLD_QTEXTRARETI,
                                @V_OLD_QTDEVOLVRETI,
                                @V_OLD_QTRETIRADA,
                                @V_OLD_CDFIITLANEST,
                                @V_OLD_NRLANCESTQ,
                                @V_OLD_NRSEQUITEM

   WHILE (@@FETCH_STATUS = 0) BEGIN
      IF @V_IDCOMANDO = 'D' /* Deleting */ BEGIN
         IF (ISNULL(@V_OLD_CDFILIAL, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + 'Fili=' + @V_OLD_CDFILIAL;
         END;

         IF (ISNULL(@V_OLD_NRCARDAPIO, '!') <>  '!') BEGIN
            SET @V_DESC = @V_DESC + ' Card=' + @V_OLD_NRCARDAPIO;
         END;

         SELECT @V_CDARVPROD = CDARVPROD FROM PRODUTO WHERE CDPRODUTO = @V_OLD_CDPRODUTO;
            SET @V_DESC = @V_DESC + ' Prod=' + @V_CDARVPROD;

         IF (ISNULL(@V_OLD_CDTIPORETI, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + ' TipoReti=' + @V_OLD_CDTIPORETI;
         END;

         IF (ISNULL(@V_OLD_CDTIPOPRAT, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + ' TipoPrat=' + @V_OLD_CDTIPOPRAT;
         END;

         IF (ISNULL(@V_OLD_CDFILAUXPRAT, '!') <> ISNULL(@V_OLD_CDFILAUXPRAT, '!')) BEGIN
            SET @V_DESC = @V_DESC + ' Arv=' + @V_OLD_CDFILAUXPRAT;
         END;

         IF (ISNULL(@V_OLD_CDPRATO, '!') <> ISNULL(@V_OLD_CDPRATO, '!')) BEGIN
            SET @V_DESC = @V_DESC + ' Prato=' + @V_OLD_CDPRATO;
         END;

         IF (ISNULL(@V_OLD_QTPREVISRETI, 0) <> 0) BEGIN
            SET @V_DESC = @V_DESC + ' Prev=' + CONVERT(VARCHAR, @V_OLD_QTPREVISRETI);
         END;

         IF (ISNULL(@V_OLD_QTEXTRARETI, 0) <> 0) BEGIN
            SET @V_DESC = @V_DESC + ' Extra=' + CONVERT(VARCHAR, @V_OLD_QTEXTRARETI);
         END;

         IF (ISNULL(@V_OLD_QTDEVOLVRETI, 0) <> 0) BEGIN
            SET @V_DESC = @V_DESC + ' Dev=' + CONVERT(VARCHAR, @V_OLD_QTDEVOLVRETI);
         END;

         IF (ISNULL(@V_OLD_QTRETIRADA, 0) <> 0) BEGIN
            SET @V_DESC = @V_DESC + ' Cons=' + CONVERT(VARCHAR, @V_OLD_QTRETIRADA);
         END;

         IF (ISNULL(@V_OLD_CDFIITLANEST, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + ' FiliLan=' + @V_OLD_CDFIITLANEST;
         END;

         IF (ISNULL(@V_OLD_NRLANCESTQ, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + ' Lanto=' + @V_OLD_NRLANCESTQ;
         END;

         IF (ISNULL(@V_OLD_NRSEQUITEM, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + ' Seq=' + @V_OLD_NRSEQUITEM;
         END;

         SET @V_TIPO = '3';
         SET @V_ITPESQ = @V_OLD_CDFILIAL   +
                         @V_OLD_NRCARDAPIO +
                         @V_OLD_NRRETIRADA +
                         @V_CDARVPROD
                         
       
      END;
      ELSE BEGIN
         IF @V_IDCOMANDO = 'U' /* Updating */ BEGIN
            IF (@V_OLD_CDFILIAL   <> @V_NEW_CDFILIAL   ) OR
               (@V_OLD_NRCARDAPIO <> @V_NEW_NRCARDAPIO ) OR
               (@V_OLD_NRRETIRADA <> @V_NEW_NRRETIRADA ) OR
               (@V_OLD_CDPRODUTO  <> @V_NEW_CDPRODUTO  ) OR
               (ISNULL(@V_OLD_CDTIPORETI,   '!') <> ISNULL(@V_NEW_CDTIPORETI,   '!')) OR
               (ISNULL(@V_OLD_CDTIPOPRAT,   '!') <> ISNULL(@V_NEW_CDTIPOPRAT,   '!')) OR
               (ISNULL(@V_OLD_CDFILAUXPRAT, '!') <> ISNULL(@V_NEW_CDFILAUXPRAT, '!')) OR
               (ISNULL(@V_OLD_CDPRATO,      '!') <> ISNULL(@V_NEW_CDPRATO,      '!')) OR
               (ISNULL(@V_OLD_QTPREVISRETI,   0) <> ISNULL(@V_NEW_QTPREVISRETI,   0)) OR
               (ISNULL(@V_OLD_QTEXTRARETI,    0) <> ISNULL(@V_NEW_QTEXTRARETI,    0)) OR
               (ISNULL(@V_OLD_QTDEVOLVRETI,   0) <> ISNULL(@V_NEW_QTDEVOLVRETI,   0)) OR
               (ISNULL(@V_OLD_QTRETIRADA,     0) <> ISNULL(@V_NEW_QTRETIRADA,     0)) OR
               (ISNULL(@V_OLD_CDFIITLANEST, '!') <> ISNULL(@V_NEW_CDFIITLANEST, '!')) OR
               (ISNULL(@V_OLD_NRLANCESTQ,   '!') <> ISNULL(@V_NEW_NRLANCESTQ,   '!')) OR
               (ISNULL(@V_OLD_NRSEQUITEM,   '!') <> ISNULL(@V_NEW_NRSEQUITEM,   '!')) BEGIN

               SET @V_TIPO  = '2';
               SELECT @V_CDARVPROD = CDARVPROD FROM PRODUTO WHERE CDPRODUTO = @V_OLD_CDPRODUTO;
               SET @V_ITPESQ = @V_OLD_CDFILIAL   +
                               @V_OLD_NRCARDAPIO +
                               @V_OLD_NRRETIRADA +
                               @V_CDARVPROD;

            END;
         END;
         ELSE BEGIN
            SET @V_TIPO   = '1';
            SELECT @V_CDARVPROD = CDARVPROD FROM PRODUTO WHERE CDPRODUTO = @V_NEW_CDPRODUTO;
            SET @V_ITPESQ = @V_NEW_CDFILIAL   +
                            @V_NEW_NRCARDAPIO +
                            @V_NEW_NRRETIRADA +
                            @V_CDARVPROD;
         END;

         IF (ISNULL(@V_NEW_CDFILIAL, '!') <> '!') BEGIN
            SET @V_DESC = @V_DESC + 'Fili=' + @V_NEW_CDFILIAL;
         END;

         IF (ISNULL(@V_NEW_NRCARDAPIO, '!') <>  '!') BEGIN
            SET @V_DESC = @V_DESC + ' Card=' + @V_NEW_NRCARDAPIO;
         END;

         SELECT @V_CDARVPROD = CDARVPROD FROM PRODUTO WHERE CDPRODUTO = @V_NEW_CDPRODUTO;
            SET @V_DESC = @V_DESC + ' Prod=' + @V_CDARVPROD;

         IF (ISNULL(@V_NEW_CDTIPORETI, '!') <> '!') BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' TipoReti=' + @V_OLD_CDTIPORETI + '|' + @V_NEW_CDTIPORETI;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' TipoReti=' + @V_NEW_CDTIPORETI;
            END;
         END;

         IF (ISNULL(@V_NEW_CDTIPOPRAT, '!') <> '!') BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' TipoPrat=' + @V_OLD_CDTIPOPRAT + '|' + @V_NEW_CDTIPOPRAT;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' TipoPrat=' + @V_NEW_CDTIPOPRAT;
            END;
         END;

         IF (ISNULL(@V_NEW_CDFILAUXPRAT, '!') <> ISNULL(@V_OLD_CDFILAUXPRAT, '!')) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Arv=' + @V_OLD_CDFILAUXPRAT + '|' + @V_NEW_CDFILAUXPRAT;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Arv=' + @V_NEW_CDFILAUXPRAT;
            END;
         END;

         IF (ISNULL(@V_NEW_CDPRATO, '!') <> ISNULL(@V_OLD_CDPRATO, '!')) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Prato=' + @V_OLD_CDPRATO + '|' + @V_NEW_CDPRATO;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Prato=' + @V_NEW_CDPRATO;
            END;
         END;

         IF (ISNULL(@V_NEW_QTPREVISRETI, 0) <> ISNULL(@V_OLD_QTPREVISRETI, 0)) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Prev=' + CONVERT(VARCHAR, @V_OLD_QTPREVISRETI) + '|' + CONVERT(VARCHAR, @V_NEW_QTPREVISRETI);
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Prev=' + CONVERT(VARCHAR, @V_NEW_QTPREVISRETI);
            END;
         END;

         IF (ISNULL(@V_NEW_QTEXTRARETI, 0) <> ISNULL(@V_OLD_QTEXTRARETI, 0)) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Extra=' + CONVERT(VARCHAR, @V_OLD_QTEXTRARETI) + '|' + CONVERT(VARCHAR, @V_NEW_QTEXTRARETI);
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Extra=' + CONVERT(VARCHAR, @V_NEW_QTEXTRARETI);
            END;
         END;

         IF (ISNULL(@V_NEW_QTDEVOLVRETI, 0) <> ISNULL(@V_OLD_QTDEVOLVRETI, 0)) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Dev=' + CONVERT(VARCHAR, @V_OLD_QTDEVOLVRETI) + '|' + CONVERT(VARCHAR, @V_NEW_QTDEVOLVRETI);
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Dev=' + CONVERT(VARCHAR, @V_NEW_QTDEVOLVRETI);
            END;
         END;

         IF (ISNULL(@V_NEW_QTRETIRADA, 0) <> ISNULL(@V_OLD_QTRETIRADA, 0)) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Cons=' + CONVERT(VARCHAR, @V_OLD_QTRETIRADA) + '|' + CONVERT(VARCHAR, @V_NEW_QTRETIRADA);
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Cons=' + CONVERT(VARCHAR, @V_NEW_QTRETIRADA);
            END;
         END;

         IF (ISNULL(@V_NEW_CDFIITLANEST, '!') <> ISNULL(@V_OLD_CDFIITLANEST, '!')) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' FiliLan=' + @V_OLD_CDFIITLANEST + '|' + @V_NEW_CDFIITLANEST;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' FiliLan=' + @V_NEW_CDFIITLANEST;
            END;
         END;

         IF (ISNULL(@V_NEW_NRLANCESTQ, '!') <> ISNULL(@V_OLD_NRLANCESTQ, '!')) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Lanto=' + @V_OLD_NRLANCESTQ + '|' + @V_NEW_NRLANCESTQ;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Lanto=' + @V_NEW_NRLANCESTQ;
            END;
         END;

         IF (ISNULL(@V_NEW_NRSEQUITEM, '!') <> ISNULL(@V_OLD_NRSEQUITEM, '!')) BEGIN
            IF @V_IDCOMANDO = 'U' BEGIN
               SET @V_DESC = @V_DESC + ' Seq=' + @V_OLD_NRSEQUITEM + '|' + @V_NEW_NRSEQUITEM;
            END;
            ELSE BEGIN
               SET @V_DESC = @V_DESC + ' Seq=' + @V_NEW_NRSEQUITEM;
            END;
         END;


      END;

      IF @V_TIPO <> '0' BEGIN
         IF NOT @V_DESC IS NULL BEGIN
            SET @V_USUARIO = '  ';
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER =  GETDATE();
	       SELECT 
                   @V_DSSERVERRDM  = DSSERVERRDM, 
                   @V_DSREMOTEADDR = DSREMOTEADDR, 
                   @V_DSREMOTEHOST = DSREMOTEHOST,
		   @V_DSSERVMETHOD = DSSERVMETHOD, 
                   @V_DSREMOTEOPER = DSREMOTEOPER
	       FROM 
                   SQLWEBTUNNING;
               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                   DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
               VALUES
                  ('ITEMRETI',  @V_DTOPER, @V_USUARIO, @V_TIPO,  @V_ITPESQ, @V_DESC,
                   @V_DSSERVERRDM, @V_DSREMOTEADDR,  @V_DSREMOTEHOST, @V_DSSERVMETHOD, @V_DSREMOTEOPER);
            END;  
         END;
      END;


      FETCH NEXT FROM C_DADOS INTO @V_IDCOMANDO,
                                   @V_NEW_CDFILIAL,
                                   @V_NEW_NRCARDAPIO,
                                   @V_NEW_NRRETIRADA,
                                   @V_NEW_CDPRODUTO,
                                   @V_NEW_CDTIPORETI,
                                   @V_NEW_CDTIPOPRAT,
                                   @V_NEW_CDFILAUXPRAT,
                                   @V_NEW_CDPRATO,
                                   @V_NEW_QTPREVISRETI,
                                   @V_NEW_QTEXTRARETI,
                                   @V_NEW_QTDEVOLVRETI,
                                   @V_NEW_QTRETIRADA,
                                   @V_NEW_CDFIITLANEST,
                                   @V_NEW_NRLANCESTQ,
                                   @V_NEW_NRSEQUITEM,
                                   @V_OLD_CDFILIAL,
                                   @V_OLD_NRCARDAPIO,
                                   @V_OLD_NRRETIRADA,
                                   @V_OLD_CDPRODUTO,
                                   @V_OLD_CDTIPORETI,
                                   @V_OLD_CDTIPOPRAT,
                                   @V_OLD_CDFILAUXPRAT,
                                   @V_OLD_CDPRATO,
                                   @V_OLD_QTPREVISRETI,
                                   @V_OLD_QTEXTRARETI,
                                   @V_OLD_QTDEVOLVRETI,
                                   @V_OLD_QTRETIRADA,
                                   @V_OLD_CDFIITLANEST,
                                   @V_OLD_NRLANCESTQ,
                                   @V_OLD_NRSEQUITEM
   END;
   CLOSE      C_DADOS;
   DEALLOCATE C_DADOS;
END;
GO



-- VERSAO --
EXEC ATUVEROBJ 'LOG_PLA_ITEMRETI','5.01.016';
GO

